Bug 439879 - xorg-x11-drv-ati does not support "NoDDC" with ASMI RMM2 from Raritan
xorg-x11-drv-ati does not support "NoDDC" with ASMI RMM2 from Raritan
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
rawhide
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-31 16:49 EDT by Ken Banks
Modified: 2008-05-13 11:25 EDT (History)
2 users (show)

See Also:
Fixed In Version: 6.8.0-14.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-13 11:25:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Current Xorg.log which reflects currently working/patch ati driver. (50.28 KB, application/octet-stream)
2008-04-04 11:08 EDT, Ken Banks
no flags Details
Older Xorg.log, not sure of contents. (48.25 KB, application/octet-stream)
2008-04-04 11:12 EDT, Ken Banks
no flags Details
Earliest Xorg.20.log (48.56 KB, application/octet-stream)
2008-04-04 11:14 EDT, Ken Banks
no flags Details

  None (edit)
Description Ken Banks 2008-03-31 16:49:55 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.13) Gecko/20080311 Firefox/2.0.0.13

Description of problem:
This problem (although discoverred in FC8) remains in FC9.
See [Bug 439871] for applicable patch which needs to be ported into FC9.

I am having trouble with the xorg-drv-ati driver in FC8 (32-bit) using the Raritan RMM2 (Remote Management Module) 
Either I get video in the RMM2 Java KVM Console and no video signal on the local console  r (using Option "NoDDC") I get video on the local console but, no signal on the KVM Console. 

The "NoDDC" resloves display problems for previous Linux releases (such as RH3, RH4, RH5 and even SLES9 and SLES10), but appearantly there are enough significant changes with the xserver in FC8 and FC9 that problems now arise with the ATI chipset driver.

The ATI driver has a problem displaying the same video signal on both the RMM Virtual console device and the local console device at the same time.

This problem has been identified and addressed by Raritan by patching the source for the ATI driver.  Which I will attach.



Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.7.195-3.fc8.i386.rpm

How reproducible:
Always


Steps to Reproduce:
1. Setup a server with an onboard ASMI connector with an RMM2 from Raritan.
2. Install FC8 or FC9.
3. Add  'Option "NoDDC"' to the Device section of xorg.conf
Toggle in/out this option (restarting xserver, init 3/init 5) to see that you can only get one device to display at a time.


Actual Results:
My local console went blank.

Expected Results:
I should have seen identical video signals both on my local LCD display device and within the Virtual Java KVM Cosnole of the Raritan RMM2.

Additional info:
The problem exists with the ATI driver, but a solution is provided by Raritan who made a patch to the ATI driver.



See [Bug 439871]
Comment 1 Matěj Cepl 2008-04-02 19:08:49 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Ken Banks 2008-04-04 11:08:07 EDT
Created attachment 300444 [details]
Current Xorg.log which reflects currently working/patch ati driver.

Dave,

Here is my current Xorg.log.
It reflects a working configuration, but might also include some of the
failure.
I will also attach some older logs which will definitely be during the failure.

However, while having this problem, I could never determine a difference in
these logs from when the failure occurred and when the video started working.

I also tried completely removing the xorg.conf file when the failure was
occuring and it made no difference whatsoever in the outcome.  One foe older
logs should be during that test as well.
Comment 3 Ken Banks 2008-04-04 11:12:06 EDT
Created attachment 300448 [details]
Older Xorg.log, not sure of contents.

Here is one of prior logs.  Might have some helpful info.
Comment 4 Ken Banks 2008-04-04 11:14:26 EDT
Created attachment 300449 [details]
Earliest Xorg.20.log

Definitely contains the failure and probably also taken while removing
xorg.conf for a clean start of X windows.
Comment 5 Fedora Update System 2008-05-11 21:01:30 EDT
xorg-x11-drv-ati-6.8.0-14.fc9 has been submitted as an update for Fedora 9
Comment 6 Fedora Update System 2008-05-13 11:25:06 EDT
xorg-x11-drv-ati-6.8.0-14.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.